# Makefile.PL -- Makefile template for ClearPerl.
#
# This file is part of "ClearPerl". ClearPerl is free software;
# you can redistribute it and/or modify it under the same terms
# as Perl itself.

require 5.004;
use ExtUtils::MakeMaker;

$DISTNAME  = "ClearPerl";    ## "product" name for this distribution
$DISTMOD   = 'ClearCase::ClearPerl';  ## "main" module of this distribution
@MODULES   = ( $DISTMOD,     ## Other modules in this distribution
               qw( ClearCase::Config
                   ClearCase::Config::Unix
                   ClearCase::Config::MSWin32
                   ClearCase::SiteConfig
                   ClearCase::OSUtil
                   ClearCase::ClearPrompt
                   ClearCase::ClearTool
                   ClearCase::ExecOpts
                   ClearCase::Trigger::MsgUtil
                 )
             );

## The executable scripts to be installed
@SCRIPTS   = qw( 
               );

##-----------------------------------------------------------------------
## Instructions to write the Makefile (see Ext::MakeMaker)

WriteMakefile(
    NAME         => $DISTMOD,
    DISTNAME     => $DISTNAME,
    VERSION_FROM => 'lib/ClearCase/ClearPerl.pm',  ## Finds dist $VERSION
    realclean    => { FILES => "@SCRIPTS" },
    ($] < 5.005 ?     ## Need File::Spec if this is 5.004 or earlier
       (PREREQ_PM  => {'File::Spec' => 0}) : ()),
    ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
       (ABSTRACT   => 'Modules for ClearCase/Perl programming',
        AUTHOR     => 'Brad Appleton <bradapp@enteract.com>') : ()),
);
