#############################################################################
# ClearCase/ClearPerl.pm -- Perl5 modules for ClearCase
#
# Copyright (C) 1995-2000 Brad Appleton. All rights reserved.
#
# This file is part of "ClearPerl" version 5 (ClearPerl5).
# This file/module is free software; you can redistribute it and/or
# modify it under the same terms as ClearPerl itself, as stated in
# the README file of the ClearPerl distribution.
#############################################################################

package ClearCase::ClearPerl;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

@ISA = qw( );

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

@EXPORT = qw( );

$VERSION = 5.14;
use  5.004;    ## requires this Perl version or later
use  Exporter;

#############################################################################

=head1 NAME

ClearCase::ClearPerl - Perl5 Modules for ClearCase

=head1 SYNOPSIS

  use ClearCase::Config;
  use ClearCase::ClearTool;
  use ClearCase::ClearPrompt;
  use ClearCase::OSUtil;
  use ClearCase::Trigger::MsgUtil;

=head1 REQUIRES

perl5.004 or later
ClearCase 3.2 or later

=head1 DESCRIPTION

ClearPerl is a set of Perl 5 modules for use with ClearCase, a software
configuration management tool from Rational Software. Please see the
ClearPerl home page at

        http://www.enteract.com/~bradapp/clearperl/

for more information about the current status of ClearPerl


=head1 MODULES

Presently, ClearPerl comprises the following modules:

=over 4

=item B<ClearCase::Config>

Basic ClearCase/Perl configuration settings for a given platform/installation

=item B<ClearCase::SiteConfig>

A module for local installations of ClearPerl to override/extend
ClearCase::Config with their own site-specific configuration settings.

=item B<ClearCase::ClearTool>

A Perl interface to the cleartool(1) command/functionality

=item B<ClearCase::ClearPrompt>

A Perl interface to the clearprompt(1) command/functionality

=item B<ClearCase::ExecOpts>

Execution Options for ClearCase::ClearTool

=item B<ClearCase::OSUtil>

OS-independent utility functions for handling filenames and i/o.

=item B<ClearCase::Trigger::MsgUtil>

Utility functions for cpaturing and handling trigger output messages.

=back

=head1 AUTHORS/CONTRIBUTORS

Brad Appleton    <bradapp@enteract.com>  http://www.enteract.com/~bradapp/

David Bellagio   <dbellagio@rational.com>

Paul D. Smith    <psmith@baynetworks.com>

Ryan Gustafson   <Ryan.Gustafson@MetaphaseTech.com>

Tom Amato        <tamato@comversens.com>

Trent A. Fisher  <trent@informix.com>

David Boyce      <dsb@world.std.com>

David Weintraub  <davidw@jpmorgan.com>

Stuart Poulin    <stuart@cdac.com>

Steve Moody      <smoody@atl.com>

=head1 BUGS

Please send all bug reports to the ClearPerl Developers list at
<clearperl@egroups.com>

=cut

1;

__END__
