#############################################################################
# ClearCase/Config/Unix.pm -- Unix ClearCase Configuration Settings
#
# Copyright (C) 1995-2000 Brad Appleton. All rights reserved.
#
# This file is part of "ClearPerl" version 5 (ClearPerl5).
# This file/module is free software; you can redistribute it and/or
# modify it under the same terms as ClearPerl itself, as stated in
# the README file of the ClearPerl distribution.
#############################################################################

package ClearCase::Config::Unix;

use strict;
use Exporter;
use Carp;

use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);
@ISA = qw(Exporter);
@EXPORT = qw();
@EXPORT_OK = qw(%CC_CONFIG);

$VERSION = 5.000_013;
require  5.004;    ## requires this Perl version or later
use vars qw(%CC_CONFIG);

#############################################################################

my $ATRIAHOME = $ENV{ATRIAHOME} || q(/usr/atria);
my $ATRIAADM  = q(/var/adm/atria);

%CC_CONFIG = (
    ## ClearCase settings
    CLEARCASE_XN_SFX    => q(@@),
    CLEARCASE_VIEWROOT  => q(/view),
    CLEARCASE_VIEWDRIVE => q(),
    CLEARCASE_WINRGY    => q(),
    CLEARCASE_MVFSPARMS => q(),

    ## ClearCase paths
    ATRIA_HOME     => $ATRIAHOME,
    ATRIA_ADM      => $ATRIAADM,
    CLEARCASE_BIN  => $ATRIAHOME.q(/bin),
    CLEARCASE_ETC  => $ATRIAHOME.q(/etc),
    CLEARCASE_LOG  => $ATRIAADM.q(/log),
    CLEARTOOL      => $ATRIAHOME.q(/bin/cleartool),
    MULTITOOL      => $ATRIAHOME.q(/bin/multitool),
);

1;

__END__
