use strict;

BEGIN { push( @INC, '../lib' ); }

use ClearCase::ClearTool;
use ClearCase::Config qw(clearcase_config);

my $cchome = clearcase_config('ATRIA_HOME');
my $ctpath =  clearcase_config('CLEARTOOL');
if (! -d $cchome) {
   my $wv = qx($ctpath pwv);
   if ($? || ! $wv) {
      print "\nNo ClearCase found on this system, skipping tests ...\n";
      exit( 0 );
   }
}

my $VOB = '/usr/vob/testvob';
my( @Cmd, @Opt, @Stdout, @StdoutChomp, $Stdout );
@Cmd = @Opt = qw( describe -l  );
shift( @Opt );

my $ct =  ClearCase::ClearTool->new( '+nochomping' );

# find a VOB we can play with
$VOB = ""  unless (-d $VOB);
open( CT, "$ctpath lsvob $VOB |" )  or  die( "cannot read from cleartool" );
$VOB = "";
while ( <CT> ) {
    ## Find an existing vobtag directory of a mounted VOB
    next unless /^\*\s+(\S+)\s+/;
    last if (-d ($VOB = $1));
}
close( CT );
$VOB  or  die( "cannot find vobtag for an existing mounted VOB" );

my $LIMIT = 100;
my( $i, $line, $fh );
for( $i = 1; $i <= $LIMIT; $i++ ){
  $fh = $ct->output( @Cmd, "$VOB" );
}

